Bug 1427172 - trying to log in with user admin after timeout on different user will get the UI stuck on login + error on wrong credentials will show in log
Summary: trying to log in with user admin after timeout on different user will get the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: GA
: 5.7.2
Assignee: Martin Hradil
QA Contact: Dafna Ron
URL:
Whiteboard: rbac
Depends On: 1417661
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-27 14:04 UTC by Satoe Imaishi
Modified: 2017-04-12 14:40 UTC (History)
5 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1417661
Environment:
Last Closed: 2017-04-12 14:40:04 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-09 18:31:05 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/e5460da9a192af8b6eecab435091796faac460a8

commit e5460da9a192af8b6eecab435091796faac460a8
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Wed Feb 22 15:34:25 2017 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 9 13:28:22 2017 -0500

    Merge pull request #451 from martinpovolny/skip_pff_for_authenticate
    
    Skip protect_from_forgery for #authenticate
    (cherry picked from commit c845be80c5b6800b4824cf3ef89ea937a32dc1bb)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1427172

 app/controllers/application_controller.rb | 2 +-
 app/views/layouts/login.html.haml         | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

Comment 3 Dafna Ron 2017-04-03 14:39:38 UTC
verified on cfme-gemset-5.7.2.0-1.el7cf.x86_64

Comment 5 errata-xmlrpc 2017-04-12 14:40:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.